<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>CRUD Order</title>
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback" />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css"
    integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A=="
    crossorigin="anonymous"
    referrerpolicy="no-referrer"/>
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css" />
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css" />
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css" />
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css" />
  <link rel="stylesheet" href="./css/validate.css" />
</head>

<body>
  <div class="wrapper">
    <!-- Preloader -->
    <div class="preloader flex-column justify-content-center align-items-center">
      <img class="animation__shake" src="dist/img/AdminLTELogo.png" alt="AdminLTELogo" height="60" width="60" />
    </div>
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="#" class="nav-link">Trang chủ</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="#" class="nav-link">Liên Hệ</a>
        </li>
      </ul>

      <!-- Right navbar links -->
      <ul class="navbar-nav ml-auto">
        <!-- Navbar Search -->
        <li class="nav-item">
          <a class="nav-link" data-widget="navbar-search" href="#" role="button">
            <i class="fas fa-search"></i>
          </a>
          <div class="navbar-search-block">
            <form class="form-inline">
              <div class="input-group input-group-sm">
                <input class="form-control form-control-navbar" type="search" placeholder="Search"
                  aria-label="Search" />
                <div class="input-group-append">
                  <button class="btn btn-navbar" type="submit">
                    <i class="fas fa-search"></i>
                  </button>
                  <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                    <i class="fas fa-times"></i>
                  </button>
                </div>
              </div>
            </form>
          </div>
        </li>
      </ul>
    </nav>
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <!-- Brand Logo -->
      <a href="./index3.html" class="brand-link">
        <img
          src="./dist/img/AdminLTELogo.png"
          alt="AdminLTE Logo"
          class="brand-image img-circle elevation-3"
          style="opacity: 0.8"
        />
        <span class="brand-text font-weight-light">ShopPlus</span>
      </a>

      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="image">
            <img
              src="./dist/img/user2-160x160.jpg"
              class="img-circle elevation-2"
              alt="User Image"
            />
          </div>
          <div class="info">
            <a href="#" class="d-block" id="current_user">Quản Lý</a>
          </div>
        </div>
        <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link active">
              <i class="nav-icon fas fa-th"></i>
              <p>
                Quản Lý
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="./product_lines.html" class="nav-link">
                  <i class="fa-solid fa-chart-simple"></i>
                  <p>Ngày vận Chyển Sản Phẩm</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./products.html" class="nav-link">
                  <i class="fa-solid fa-bottle-water"></i>
                  <p>Sản Phẩm</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./order_details.html" class="nav-link active">
                  <i class="fa-solid fa-info"></i>
                  <p>Chi Tiết Đơn Hàng</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./payments.html" class="nav-link ">
                  <i class="fa-solid fa-money-check-dollar"></i>
                  <p>thanh toán</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./orders.html" class="nav-link ">
                  <i class="fa-solid fa-truck-fast"></i>
                  <p>Đơn Đặt Hàng</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./customers.html" class="nav-link">
                  <i class="fa-solid fa-users"></i>
                  <p>Khách Hàng</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./employees.html" class="nav-link">
                  <i class="fa-solid fa-user-astronaut"></i>
                  <p>Nhân Viên</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./offices.html" class="nav-link">
                  <i class="fa-solid fa-store"></i>
                  <p>Văn Phòng</p>
                </a>
              </li>
            </ul>
          </li>
          <!--  -->
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
      </div>
      <!-- /.sidebar -->
    </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Chi tiết Đơn Hàng</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Trang Chủ</a></li>
              <li class="breadcrumb-item active">Chi tiết Đơn Hàng <i class="fa-solid fa-info"></i></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content" id="section-main">
      <div class="container-fluid">
        <h2 style="text-align: center; color: blue;">Quản trị Chi tiết Đơn Hàng <i class="fa-solid fa-info"></i></h2>
        <button class="btn btn-success" id="btn-show-addNew">Thêm Mới <i class="fa-solid fa-plus"></i></button><hr>
        <table class="table table-bordered table-striped table-hover" id="orderdtail-table">
          <thead>
            <tr>
              <th>STT</th>
              <th>Tên Sản Phẩm</th>
              <th>Số Lượng</th>
              <th>Giá</th>
              <th>Mã Đơn</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody></tbody>
          <tfoot>
            <tr>
              <th>STT</th>
              <th>Tên Sản Phẩm</th>
              <th>Số Lượng</th>
              <th>Giá</th>
              <th>Mã Đơn</th>
              <th>Action</th>
            </tr>
          </tfoot>
        </table>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Trang Hiện Chi Tiết Đơn Hàng -->
    <section class="content" id="section-show" style="display:none;">
      <div class="container-fluid">
        <div class="col-sm-12 row">
          <div class="col-sm-4 text-left">
            <button class="btn btn-danger btn-come-back"> Trở Lại</button>
          </div>
          <div class="col-sm-4 text-center">
            <h4 class="modal-title">Chi Tiết Đơn Hàng Của Sản Phẩm :</h4>
          </div>
          <div class="col-sm-4 text-center">
            <h4 class="text-primary font-weigth-bold" id="modal_h"></h4>
          </div>
        </div><br>
        <div class="jumbotron container">
          <div class="row form-group Duong11">
          <div class="col-sm-3">
            <label for="Order-code">Id<span class="text-danger">(*)</span></label>
          </div>
          <div class="col-sm-9">
            <input type="text" id="input-Order-id" placeholder="Id sản Phẩm" class="form-control" disabled/>
          </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="comments">Bình Luận <span class="text-danger">(*)</span></label>
            </div>
            <div class="col-sm-9">
              <input type="text" id="input-Order-comments" name="comments" placeholder="Bình Luận ....." class="form-control">
            </div>
            </div>
          <div class="row form-group">
                
          <div class="col-sm-3">
            <label for="orderDate">Ngày Đặt</label>
          </div>
          <div class="col-sm-9 input-row">
              <input placeholder="Ngày Đặt Hàng" type="date" name="orderDate" id="input-Order-orderDate" class="form-control"/>
          </div>
          </div>
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="requiredDate">Ngày Yêu Cầu </label>
          </div>
          <div class="col-sm-9">
              <input type="date" id="input-requiredDate" name="requiredDate" placeholder="Ngày Yêu Cầu...." class="form-control"/>
          </div>
          </div>
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="shippedDate">Ngày Gửi </label>
          </div>
          <div class="col-sm-9">
              <input type="date" id="input-shippedDate" name="shippedDate" placeholder="Ngày Gửi....." class="form-control"/>
          </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="customer">Tên Khách Hàng <span class="text-danger">(*)</span></label>
            </div>
            <div class="col-sm-9">
              <input type="text" name="customer" id="input-customer" class="form-control" placeholder="Tên Khách Hàng...">
            </div>
          </div>
          <div class="row form-group Duong11">
          <div class="col-sm-3">
            <label for="orderDtails">Chi Tiết Đơn</label>
          </div>
          <div class="col-sm-9">
            <input type="number" id="input-orderDtails" name="orderDtails" placeholder="Số Chi Tiết Đơn.." class="form-control" disabled>
          </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="status">Trạng Thái</label>
            </div>
            <div class="col-sm-9">
              <input type="text" name="status" id="inp-status-order" class="form-control">
            </div>
          </div>
        </div>
      </div>
    </section>

    <!-- Trang Hiện Chi Tiết sản phẩm -->
    <section class="content" id="section-show-product" style="display:none;">
      <div class="container-fluid">
        <div class="col-sm-12 row">
          <div class="col-sm-4 text-left">
            <button class="btn btn-danger btn-come-back"> Trở Lại</button>
          </div>
          <div class="col-sm-4 text-center">
            <h4 class="modal-title">Chi Tiết Sản Phẩm :</h4>
          </div>
          <div class="col-sm-4 text-center">
            <h4 class="text-primary font-weigth-bold" id="modal_h"></h4>
          </div>
        </div><br>
        <div class="jumbotron container">
          <div class="row form-group">
            <div class="col-sm-8">
              <div class="row form-group Duong11">
              <div class="col-sm-3">
                <label for="Product-code">Id<span class="text-danger">(*)</span></label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-Product-id" placeholder="Id sản Phẩm" class="form-control" disabled/>
              </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="productCode">Mã Sản Phẩm </label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="input-productCode" name="productCode" placeholder="Mã Sản Phẩm ....." class="form-control">
                </div>
                </div>
              <div class="row form-group">   
              <div class="col-sm-3">
                <label for="productName">Tên Sản Phẩm</label>
              </div>
              <div class="col-sm-9 input-row">
                  <input placeholder="Tên Sản Phẩm" type="text" name="productName" id="input-productName" class="form-control"/>
              </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="productScale">Mùi Hương </label>
                </div>
                <div class="col-sm-9">
                    <input type="text" id="input-productScale" name="productScale" placeholder="Mùi Hương....." class="form-control"/>
                </div>
                </div>
            </div>
            <div class="col-sm-4">
              <div class="form-group">
                  <img src="" alt="ảnh sản phẩm" id="img-photo" style="max-width: 350px; max-height: 200px;"> 
              </div>
            </div>
          </div>
          
          <div class="row form-group">
            <div class="col-sm-2">
              <label for="productVendor">Nhà Cung Cấp</label>
            </div>
            <div class="col-sm-10">
              <input type="text" name="productVendor" id="input-productVendor" class="form-control" placeholder="Nhà Cung Cấp...">
            </div>
          </div>
          <div class="row form-group Duong11">
          <div class="col-sm-2">
            <label for="quantityInStock">Có Trong Kho</label>
          </div>
          <div class="col-sm-10">
            <input type="number" id="input-quantityInStock" name="quantityInStock" placeholder="Có Trong Kho.." class="form-control">
          </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-2">
              <label for="buyPrice">Giá Bán</label>
            </div>
            <div class="col-sm-10">
              <input type="text" name="buyPrice" id="inp-buyPrice-Product" class="form-control">
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-2">
              <label for="orderDetails">Đã Bán Được</label>
            </div>
            <div class="col-sm-10">
              <input type="text" name="orderDetails" id="inp-orderDetails-Product" class="form-control">
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-2">
              <label for="productLineName">Thuộc Dòng Sản Phẩm</label>
            </div>
            <div class="col-sm-10">
              <input type="text" name="productLineName" id="inp-productLineName-Product" class="form-control">
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-2">
              <label for="productDescripttion">Mô Tả Sản Phẩm </label>
            </div>
            <div class="col-sm-10">
              <textarea name="productDescripttion" id="input-productDescripttion" cols="5" rows="5" class="form-control"></textarea>
            </div>
            </div>
        </div>
      </div>
    </section>

    <!-- Modal -->
   <div class="modal fade" id="myModal-show-CRUD" role="dialog">
    <div class="modal-dialog modal-lg">
    
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
			<h4 class="modal-title text-primary">Thông Tin Sản Phẩm <i class="fa-solid fa-info"></i></h4>
          	<button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <form id="validate-form">
            <div class="jumbotron container">
              <div class="row form-group Duong11">
              <div class="col-sm-3">
                <label for="Order-code">Id<span class="text-danger">(*)</span></label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-orderdetails-id" placeholder="Id sản Phẩm" class="form-control" disabled/>
              </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="quantityOrder">Số Lượng<span class="text-danger">(*)</span></label>
                </div>
                <div class="col-sm-9">
                  <input type="number" id="input-Order-quantityOrder" name="quantityOrder" placeholder="Số Lượng ....." class="form-control">
                </div>
                </div>
              <div class="row form-group">
                    
              <div class="col-sm-3">
                <label for="priceEach">Giá <span class="text-danger">(*)</span></label>
              </div>
              <div class="col-sm-9 input-row">
                  <input placeholder="Giá Hàng" type="number" name="priceEach" id="input-Order-priceEach" class="form-control"/>
              </div>
              </div>
              <div class="row form-group">
              <div class="col-sm-3">
                <label for="product_name">Tên Sản Phẩm <span class="text-danger">(*)</span></label>
              </div>
              <div class="col-sm-6">
                <select name="productselect" id="select-product" class="form-control"></select>
                <!-- <input type="text" id="input-product_name" name="product_name" placeholder="Tên Sản Phẩm...." class="form-control"/> -->
              </div>
              <div class="col-sm-3">
                <button type="button" id="btn-show-product" class="btn btn-primary w-75">Chi Tiết</button>
              </div>
              </div>
              <div class="row form-group">
              <div class="col-sm-3">
                <label for="orderID">Mã Đơn Hàng <span class="text-danger">(*)</span> </label>
              </div>
              <div class="col-sm-6">
                  <input type="number" id="input-order-ID-modal" name="orderID" placeholder="Mã Đơn Hàng....." class="form-control"/>
              </div>
              <div class="col-sm-3">
                <button type="button" id="btn-show-order" class="btn btn-primary w-75 Duong11">Chi Tiết</button>
              </div>
              </div>
              <div class="row pull-right">
              <div class="col-sm-12 row mt-4">
                <div class="col-sm-4 text-center Duong11">
                  <input type="button" id="save_data" class="btn btn-info w-50" value="Cập Nhập">
                </div>
                <div class="col-sm-4 text-center">
                </div>
                <div class="col-sm-4 text-center Duong22">
                  <input type="button" id="add-new" class="btn btn-success w-50" value="Thêm Mới">
                </div>
                <div class="col-sm-4 text-center Duong11">
                  <input type="button" id="btn_Delete" class="btn btn-danger w-50" value="Xóa">
                </div>
              </div>
              </div>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>
   
      <!-- /.content -->
      <!-- /.content-wrapper -->
  </div>
  </div>
  <footer class="main-footer">
    <strong>Copyright &copy; 2022-2023 <a href="https://www.facebook.com/DuongCuaEm/">DuongCuaEm</a>.</strong>
    All rights reserved.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 1.0
    </div>
  </footer>
  <script src="./plugins/jquery/jquery.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="./plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- DataTables  & Plugins -->
  <script src="./plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="./plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
  <script src="./plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
  <script src="./plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
  <script src="./plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
  <script src="./plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
  <script src="./plugins/jszip/jszip.min.js"></script>
  <script src="./plugins/pdfmake/pdfmake.min.js"></script>
  <script src="./plugins/pdfmake/vfs_fonts.js"></script>
  <script src="./plugins/datatables-buttons/js/buttons.html5.min.js"></script>
  <script src="./plugins/datatables-buttons/js/buttons.print.min.js"></script>
  <script src="./plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
  <script src="./src/jquery.validate.min.js"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/adminlte.js"></script>
  <script src="./src/OrderDetail.js"></script>
</body>

</html>